diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index ebef9cd..d7a75f1 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -24828,7 +24828,8 @@ FiniteDivisorFunctions2(R1, UP1, UPUP1, F1, R2, UP2, UPUP2, F2):
 
     map(f, d) ==
       rec := decompose d
-      divisor map(f, rec.principalPart) + divisor map(map(f, #1), rec.id)
+      divisor map(f, rec.principalPart) + 
+        divisor map((s:UP1):UP2 +-> map(f,s), rec.id)
 
 @
 <<FDIV2.dotabb>>=
diff --git a/changelog b/changelog
index 3e6e1ce..e412771 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090518 tpd src/axiom-website/patches.html 20090518.13.tpd.patch
+20090518 tpd books/bookvol10.4 FDIV2 +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.12.tpd.patch
 20090518 tpd books/bookvol10.4 EXPRTUBE +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.11.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 30e08a5..3c9761b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1362,5 +1362,7 @@ bookvol10.4 EXPRODE +-> conversion<br/>
 bookvol10.3 ULSCONS +-> conversion<br/>
 <a href="patches/20090518.12.tpd.patch">20090518.12.tpd.patch</a>
 bookvol10.4 EXPRTUBE +-> conversion<br/>
+<a href="patches/20090518.13.tpd.patch">20090518.13.tpd.patch</a>
+bookvol10.4 FDIV2 +-> conversion<br/>
  </body>
 </html>
